Subject: Re: [PATCH 6/6] git svn info: always quote URLs in 'info' output

From: Eric Wong <[email-masked]>
Date: Wed, 27 Aug 2008 02:43:12 -0700

Thomas Rast <[email-masked]> wrote:
> Changes 'git svn info' to always URL-escape the 'URL' and 'Repository'
> fields and --url output, like SVN (at least 1.5) does.
> 
> Note that reusing the escape_url() further down in Git::SVN::Ra is not
> possible because it only triggers for http(s) URLs.  I did not know
> whether extending it to all schemes would break SVN access anywhere,
> so I made a new one that quotes in all schemes.

Thanks for keeping them separate. I seem to recall there being places
where paths must not be escaped in SVN.

-- 
Eric Wong